cURL
curl --request GET \
--url 'https://app.teable.ai/api/base/%7BbaseId%7D/workflow?onlyFirst=SOME_BOOLEAN_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'[
{
"id": "<string>",
"createdBy": "<string>",
"createdTime": "<string>",
"nodes": [
{
"id": "<string>",
"type": "<string>"
}
],
"name": "<string>",
"description": "<string>",
"hasDraft": true,
"isActive": true,
"lastModifiedTime": "<string>",
"lastModifiedBy": "<string>"
}
]automation
Get base workflow 1
get automation workflow list in base
GET
/
base
/
{baseId}
/
workflow
cURL
curl --request GET \
--url 'https://app.teable.ai/api/base/%7BbaseId%7D/workflow?onlyFirst=SOME_BOOLEAN_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'[
{
"id": "<string>",
"createdBy": "<string>",
"createdTime": "<string>",
"nodes": [
{
"id": "<string>",
"type": "<string>"
}
],
"name": "<string>",
"description": "<string>",
"hasDraft": true,
"isActive": true,
"lastModifiedTime": "<string>",
"lastModifiedBy": "<string>"
}
]Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Response
200 - application/json
Successful response
a unique identifier for the workflow
created by user id
created time of the workflow
Show child attributes
Show child attributes
the name of the workflow
description of the workflow
has draft of the workflow
is active of the workflow
last modified time of the workflow
last modified by user id
Last modified on March 5, 2026
Was this page helpful?
⌘I

